Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Interface Part

    public interface Part

Since:
  Servlet 3.0 TODO SERVLET3 - Add comments

Method Summary
`void` | `delete()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getHeader(java.lang.String name)` Obtains the value of the specified mime header for the part.
`java.util.Collection<java.lang.String>` | `getHeaderNames()`
`java.util.Collection<java.lang.String>` | `getHeaders(java.lang.String name)`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`long` | `getSize()`
`void` | `write(java.lang.String fileName)`

Method Detail

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getContentType

    java.lang.String getContentType()

### getName

    java.lang.String getName()

### getSize

    long getSize()

### write

    void write(java.lang.String fileName)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### delete

    void delete()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getHeader

    java.lang.String getHeader(java.lang.String name)

  Obtains the value of the specified mime header for the part.

  Parameters:
    `name` - Header name
  Returns:
    The header value or `null` if the header is not present

### getHeaders

    java.util.Collection<java.lang.String> getHeaders(java.lang.String name)

### getHeaderNames

    java.util.Collection<java.lang.String> getHeaderNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.